Bug 862434 - fusesmb crashes on 64 bit systems
fusesmb crashes on 64 bit systems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fuse-smb (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Marcin Zajaczkowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 17:27 EDT by Alwin
Modified: 2014-02-05 07:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:25:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alwin 2012-10-02 17:27:27 EDT
Description of problem:
When mounting smb-environment with fusesmb, after a while of usage fusesmb crashes. Switching to debug mode gives following message:


talloc: access after free error - first free may be at libsmb/clireadwrite.c:689
Bad talloc magic value - access after free
/usr/bin/fusesmb: Zeile 14:  3541 Abgebrochen             /usr/bin/fusesmb-bin -s "$@"

Version-Release number of selected component (if applicable):

0.8.7

How reproducible:

Every time mounting smb environment with fuse-smb

Steps to Reproduce:
1. mount smb with fusesmb -d
2. use this mounted path with a filemanager like dolphin, loading previews etc so we get heavy  load
  
Actual results:

fusesmb aborts (even fusesmb.bin without singlethread option) and I have to unmount the smb mount path with fusermount -u

Expected results:

It should run a little bit more than ten minutes...

Additional info:

This problems occurs on all 64Bit systems I have, 32Bit systems I can not check this moment.
Comment 1 Fedora End Of Life 2013-07-03 21:11:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-12-21 04:01:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 07:25:15 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.